List feasibility requests
List your organization's feasibility requests, newest first. Optionally filter by status (RECEIVED / RESPONDED / WON / LOST) and page through results with limit and offset. Each request includes its costPerParticipant (the CPI), which is null until the request has been priced (status RESPONDED).
Authorization
apiKey Authorization<token>
API key as Bearer token: Authorization: Bearer
In: header
Query Parameters
status?string
Value in
"RECEIVED" | "RESPONDED" | "WON" | "LOST" | "NOT_PURSUED"limit?integer
Range
0 < value <= 100offset?integer
Range
0 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://terac.com/api/external/v2/feasibility/requests"{
"count": 0,
"requests": [
{
"id": "string",
"status": "RECEIVED",
"source": "string",
"taskDescription": "string",
"panelDescription": "string",
"submissionCount": 0,
"timelineHours": 0,
"costPerParticipant": "string",
"respondedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z"
}
]
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}